import { Component } from "react";
import { StoryNode } from "./StoryData";
export declare class StoryViewNode extends Component<{
    node: StoryNode;
}> {
    constructor(props: Readonly<{
        node: StoryNode;
    }> | {
        node: StoryNode;
    });
    render(): JSX.Element;
}
export declare class StoryView extends Component<{
    node: StoryNode;
}> {
    state: {
        currentNodeId: string;
    };
    componentDidMount(): void;
    render(): JSX.Element;
}
